# This file was generated by nvfetcher, please do not modify it manually.
{
  fetchurl,
  fetchFromGitHub,
}: {
  bang-bang = {
    pname = "bang-bang";
    version = "ec991b80ba7d4dda7a962167b036efc5c2d79419";
    src = fetchFromGitHub {
      owner = "oh-my-fish";
      repo = "plugin-bang-bang";
      rev = "ec991b80ba7d4dda7a962167b036efc5c2d79419";
      fetchSubmodules = false;
      sha256 = "sha256-oPPCtFN2DPuM//c48SXb4TrFRjJtccg0YPXcAo0Lxq0=";
    };
    date = "2023-07-23";
  };
  fix-window-role = {
    pname = "fix-window-role";
    version = "latest";
    src = fetchurl {
      url = "https://raw.githubusercontent.com/d12frosted/homebrew-emacs-plus/master/patches/emacs-28/fix-window-role.patch";
      sha256 = "sha256-H4Qj6n5uZsmsbdjjexGZctqhJk3gAXKiSnmnEO/LgTA=";
    };
  };
  git-abbr = {
    pname = "git-abbr";
    version = "dc590a5b9d9d2095f95f7d90608b48e55bea0b0e";
    src = fetchFromGitHub {
      owner = "pupbrained";
      repo = "fish-git-abbr";
      rev = "dc590a5b9d9d2095f95f7d90608b48e55bea0b0e";
      fetchSubmodules = false;
      sha256 = "sha256-6z3Wr2t8CP85xVEp6UCYaM2KC9PX4MDyx19f/wjHkb0=";
    };
    date = "2023-06-19";
  };
  gityaw = {
    pname = "gityaw";
    version = "59196560e0f4520db63fb8cab645510377bb8b13";
    src = fetchFromGitHub {
      owner = "oh-my-fish";
      repo = "plugin-gityaw";
      rev = "59196560e0f4520db63fb8cab645510377bb8b13";
      fetchSubmodules = false;
      sha256 = "sha256-STXNxSsjSopB+lbB4hEYdhJifRfsImRwbZ1SxwEhkuM=";
    };
    date = "2019-01-07";
  };
  license = {
    pname = "license";
    version = "0155b16f102957ec0c734a90979245dc1073f979";
    src = fetchFromGitHub {
      owner = "oh-my-fish";
      repo = "plugin-license";
      rev = "0155b16f102957ec0c734a90979245dc1073f979";
      fetchSubmodules = false;
      sha256 = "sha256-Bi9Q5rekZoyXYbRV+U4SmwCdqCl0pFupzm5si7SxFns=";
    };
    date = "2018-10-22";
  };
  poll = {
    pname = "poll";
    version = "latest";
    src = fetchurl {
      url = "https://raw.githubusercontent.com/d12frosted/homebrew-emacs-plus/master/patches/emacs-30/poll.patch";
      sha256 = "sha256-Weh2+C5v2ORYO8JFYzntpPmJyGseFqArByZwLpX2CCU=";
    };
  };
  replay-fish = {
    pname = "replay-fish";
    version = "d2ecacd3fe7126e822ce8918389f3ad93b14c86c";
    src = fetchFromGitHub {
      owner = "jorgebucaran";
      repo = "replay.fish";
      rev = "d2ecacd3fe7126e822ce8918389f3ad93b14c86c";
      fetchSubmodules = false;
      sha256 = "sha256-TzQ97h9tBRUg+A7DSKeTBWLQuThicbu19DHMwkmUXdg=";
    };
    date = "2024-07-01";
  };
  round-undecorated-frame = {
    pname = "round-undecorated-frame";
    version = "latest";
    src = fetchurl {
      url = "https://raw.githubusercontent.com/d12frosted/homebrew-emacs-plus/master/patches/emacs-30/round-undecorated-frame.patch";
      sha256 = "sha256-dFH4D1WYQOVOagUuVdEQB3irxV+Y8dDAOKJOJXc/KHQ=";
    };
  };
  system-appearance = {
    pname = "system-appearance";
    version = "latest";
    src = fetchurl {
      url = "https://raw.githubusercontent.com/d12frosted/homebrew-emacs-plus/master/patches/emacs-30/system-appearance.patch";
      sha256 = "sha256-nrPOgGQAJb/5brrrWJNDARY2jWNJ9OsMtO+LPVhHfbY=";
    };
  };
  wttr = {
    pname = "wttr";
    version = "7500e382e6b29a463edc57598217ce0cfaf8c90c";
    src = fetchFromGitHub {
      owner = "oh-my-fish";
      repo = "plugin-wttr";
      rev = "7500e382e6b29a463edc57598217ce0cfaf8c90c";
      fetchSubmodules = false;
      sha256 = "sha256-k3FrRPxKCiObO6HgtDx8ORbcLmfSYQsQeq5SAoNfZbE=";
    };
    date = "2016-05-23";
  };
}
